Page MenuHomePhabricator

1.35.0-wmf.39 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.35.0-wmf.39
Release Date
1593388800
Backup Conductor
mmodell

2020 week 27 1.35-wmf.39 Changes wmf/1.35.0-wmf.39

This MediaWiki Train Deployment is scheduled for the week of Monday, June 29th:

Monday June 29thTuesday, June 30thWednesday, July 1stThursday, July 2ndFriday
Backports only.Branch wmf.39 and deploy to Group 0 Wikis.Deploy wmf.39 to Group 1 Wikis.Deploy wmf.39 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.39 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.35.0-wmf.38
Next: 1.35.0-wmf.40

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 1 2020, 4:11 PM
thcipriani assigned this task to hashar.Jun 1 2020, 4:22 PM
thcipriani triaged this task as Medium priority.
thcipriani updated Backup Conductor, added: mmodell.

Change 608499 had a related patch set uploaded (by DannyS712; owner: trainbranchbot):
[mediawiki/core@wmf/1.35.0-wmf.39] Branch commit for wmf/1.35.0-wmf.39

https://gerrit.wikimedia.org/r/c/mediawiki/core/ /608499

Change 608499 merged by jenkins-bot:
[mediawiki/core@wmf/1.35.0-wmf.39] Branch commit for wmf/1.35.0-wmf.39

https://gerrit.wikimedia.org/r/c/mediawiki/core/ /608499

Mentioned in SAL (#wikimedia-operations) [2020-06-30T08:51:55Z] <hashar> Applied security patches to wmf/1.35.0-wmf.39 # T254176

Mentioned in SAL (#wikimedia-operations) [2020-06-30T10:30:54Z] <hashar@deploy1001> Synchronized php-1.35.0-wmf.39/includes/specials/SpecialUndelete.php: Remove another use of PageArchive::getRevision - T249982 T254176 (duration: 00m 56s)

1.35.0-wmf.39 is now on group0 wikis.

Mentioned in SAL (#wikimedia-operations) [2020-06-30T14:43:45Z] <hashar> Train blocked on Flow being broken: T256761 # T254176

Mentioned in SAL (#wikimedia-operations) [2020-06-30T19:19:23Z] <hashar@deploy1001> rebuilt and synchronized wikiversions files: group 0 wikis to 1.35.0-wmf.39 # T254176

hashar added a comment.Wed, Jul 1, 2:01 PM

1.35.0-wmf.39 is on group 1 wikis:

13:16 	<hashar@deploy1001> 	Synchronized php: group1 wikis to 1.35.0-wmf.39 (duration: 01m 04s)

There is no new error showing and the performance metrics looks good.

Change 608937 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group2 wikis to 1.35.0-wmf.39 refs T254176

https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/ /608937

Change 608937 merged by jenkins-bot:
[operations/mediawiki-config@master] group2 wikis to 1.35.0-wmf.39 refs T254176

https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/ /608937

Mentioned in SAL (#wikimedia-operations) [2020-07-01T19:18:22Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group2 wikis to 1.35.0-wmf.39 refs T254176

Mentioned in SAL (#wikimedia-operations) [2020-07-01T19:23:37Z] <twentyafterfour> 1.35.0-wmf.39 is now deployed to group2 wikis, everything appears to be normal. refs T254176

hashar closed this task as Resolved.Thu, Jul 2, 9:00 AM

This is complete. Thank you for the quick fixes on T256298 T256761 and for the logspam triage on wednesday just before group2.